package config

import "github.com/gogap/errors"

// 这里是框架统一错误码，业务错误码以业务编号开头放到业务common目录下
var (
	// 系统错误码
	ErrOK = errors.T(0, "操作成功")

	ErrPriv         = errors.T(196, "没有权限")
	ErrDb           = errors.T(197, "数据库错误")
	ErrRemote       = errors.T(198, "第三方错误")
	ErrInternal     = errors.T(199, "内部错误")
	ErrParam        = errors.T(400, "参数错误")
	ErrNoData       = errors.T(401, "没有数据")
	ErrTokenExpire  = errors.T(402, "登录过期")    //客户端有特殊逻辑勿动，跳转登录页
	ErrTokenInvaild = errors.T(403, "TOKEN无效") //客户端有特殊逻辑勿动，跳转登录页
	ErrNoToken      = errors.T(404, "没有TOKEN") //客户端有特殊逻辑勿动，跳转登录页
	ErrNoPerm       = errors.T(405, "没有权限")
	ErrTimeExceed   = errors.T(2000, "超出时间范围")
)
